Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "48dba5e9-25e2-4cb8-82e2-ca094f134a47",
"date_start": "2026-10-14T13:50:22.1736962+00:00",
"date_end": "2026-10-14T13:50:22.1736962+00:00",
"modified_dateutc": "2026-10-14T13:50:22.1736962+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "52deddad-202e-4343-bffa-edde34eaa951",
"user_code": "sample string 8",
"user": {
"id": "60d8469e-5e4f-4a8f-acc3-be1f847271a9",
"db_language_id": "73e3c886-9123-46b2-82da-0b820d0cb173",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-14T13:50:22.1876009+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "c3ec02d0-db6f-43a9-9ecc-c9e1d3344eff",
"sales_organization": {
"id": "a362669b-187f-446e-8922-6d1e911a36cc",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "37aea297-a4b9-4078-9489-c9abd003d30a",
"db_currency_id": "23cce359-edb5-4564-b924-95e2c13da6bd",
"db_language_id": "2db1a19d-c650-4374-a86d-8c0623b4c811",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-14T13:50:22.1876009+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "0f5b708b-202a-49f2-80c4-bfe7a98453de",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "379ccae8-1639-41e0-8de3-5403ce99138d",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-14T13:50:22.1876009+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "bb918c76-ee24-47bb-baa2-6732f42bdd9e"
},
"user_unavailability_type_id": "719d2956-5b87-421b-9e23-cdef8f5ad656",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "9f15e594-e43c-4322-8ff6-ca1382070939",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "94a02904-2a6e-4d99-a2cc-5e6a56633dfa",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "a362669b-187f-446e-8922-6d1e911a36cc",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "37aea297-a4b9-4078-9489-c9abd003d30a",
"db_currency_id": "23cce359-edb5-4564-b924-95e2c13da6bd",
"db_language_id": "2db1a19d-c650-4374-a86d-8c0623b4c811",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-14T13:50:22.1876009+00:00"
},
"modified_dateutc": "2026-10-14T13:50:22.2034191+00:00"
}
}